# PODBC::ConnectData Class Reference

This class is a multipurpose use class for storing parameters when initiating connection to DataSource. More...

`#include <podbc.h>`

List of all members.

## Public Attributes

PFilePath | DBPath
PString | DefDir
| Database file Path (not Oracle,xxSQL).
PString | User
| Used with Paradox/DBase/Excel (& mySQL db).
PString | Pass
| UserName.
PBoolean | Excl_Trust
| Password.
PString | Host
| Whether Datasource is locked or Trusted.
int | Port
| URL for Host Datasouce xxSQL.
int | opt
| Port to connect to mySQL.

## Detailed Description

This class is a multipurpose use class for storing parameters when initiating connection to DataSource.

Not all field are required. By default all non-essential params are set to a datasource specific default value.

## Member Data Documentation

PFilePath PODBC::ConnectData::DBPath

PString PODBC::ConnectData::DefDir

Database file Path (not Oracle,xxSQL).

PBoolean PODBC::ConnectData::Excl_Trust

Password.

PString PODBC::ConnectData::Host

Whether Datasource is locked or Trusted.

int PODBC::ConnectData::opt

Port to connect to mySQL.

PString PODBC::ConnectData::Pass

UserName.

int PODBC::ConnectData::Port

URL for Host Datasouce xxSQL.

PString PODBC::ConnectData::User

Used with Paradox/DBase/Excel (& mySQL db).

The documentation for this class was generated from the following file:

- podbc.h